<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Payment</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form [formGroup]="paymentForm" class="ion-padding">
    <ion-grid>
      <ion-row>
        <ion-col size="12">
          <ion-item lines="full">
            <ion-label position="floating">Amount</ion-label>
            <ion-input
              type="number"
              formControlName="amount"
              readonly
            ></ion-input>
          </ion-item>
          <div class="bs-xs-20"></div>
        </ion-col>
      </ion-row>
      <ion-row class="ion-align-items-center">
        <ion-col size="10">
          <ion-item lines="full">
            <ion-label position="floating">Card Number</ion-label>
            <ion-input
              type="tel"
              formControlName="cardNumber"
              mask="0000 0000 0000 0000"
            ></ion-input>
          </ion-item>
          <div class="bs-xs-20"></div>
        </ion-col>
        <ion-col size="2">
          <!-- 5555555555554444 - master
          4111111111111111 - visa 
          342333333333333 - amex (15)
          -->
          <img
            src="assets/icon/master-icon.svg"
            alt=""
            *ngIf="cardInfo.type === 'master'"
          />
          <img
            src="assets/icon/visa-icon.svg"
            alt=""
            *ngIf="cardInfo.type === 'visa'"
          />
          <img
            src="assets/icon/amex-icon.svg"
            alt=""
            *ngIf="cardInfo.type === 'amex'"
          />
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size="6">
          <ion-item lines="full" (click)="setCardExpireDate()">
            <ion-label position="floating">Card date</ion-label>
            <ion-input
              type="text"
              formControlName="cardDate"
              readonly
            ></ion-input>
            <!-- <ion-datetime
              doneText="Done"
              cancelText="Cancel"
              formControlName="cardDate"
              display-timezone="utc"
              displayFormat="MM/YY"
              pickerFormat="MM/YY"
              [min]="minDate | date: 'y-MM-dd'"
              [max]="maxDate | date: 'y-MM-dd'"
              presentation="time"
            ></ion-datetime> -->
          </ion-item>
          <div class="bs-xs-20"></div>
        </ion-col>
        <ion-col size="6">
          <ion-item lines="full">
            <ion-label position="floating">Card Code</ion-label>
            <ion-input
              type="text"
              formControlName="cardCvv"
              [placeholder]="cardInfo.code"
              maxlength="4"
            ></ion-input>
          </ion-item>
          <div class="bs-xs-20"></div>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col size="12">
          <ion-item lines="full">
            <ion-label position="floating">Cardholder Name</ion-label>
            <ion-input type="text" formControlName="cardName"></ion-input>
          </ion-item>
          <div class="bs-xs-20"></div>
        </ion-col>
        <ion-col size="12">
          <ion-item lines="full">
            <ion-label position="floating">Postal/Zip Code</ion-label>
            <ion-input type="text" formControlName="postalCode"></ion-input>
          </ion-item>
          <div class="bs-xs-40"></div>
        </ion-col>
      </ion-row>
      <ion-button color="primary" expand="full" [disabled]="!paymentForm.valid"
        >Pay</ion-button
      >
    </ion-grid>
  </form>
  <div class="bs-xs-40"></div>
</ion-content>

<!-- <ion-popover trigger="open-date-input-2" show-backdrop="false">
  <ng-template>
    <ion-datetime
      #popoverDatetime2
      presentation="date"
      doneText="Done"
      cancelText="Cancel"
      display-timezone="utc"
      displayFormat="MM/YY"
      pickerFormat="MM/YY"
      [min]="minDate | date: 'y-MM-dd'"
      [max]="maxDate | date: 'y-MM-dd'"
    ></ion-datetime>
  </ng-template>
</ion-popover> -->
